#pragma once
// CStaticLCD
#include "MeterParam.h"

class CStaticLCD : public CStatic
{
	DECLARE_DYNAMIC(CStaticLCD)

public:
	CStaticLCD();
	virtual ~CStaticLCD();

public:
	CRect m_rcClient;
	CRect m_rcLCD;
	CRect m_rcGrid;

	CMeterParam* m_pMeter;
protected:
	CDC m_dcMem;
	CBitmap m_bmpMem;

	HANDLE m_hDraw;
public:
	void InitLCD();
	void DrawLCD();

protected:
	void DrawDMMValue(CDC* pDC,CPoint pt);
	void DrawUnits(CDC* pDC,CPoint ptCenter);
	void DrawDMMBar(CDC* pDC,CPoint point);
	void DrawMenu(CDC* pDC,CPoint point);
	void DrawGrid(CDC* pDC,CRect rc);
	void DrawWave(CDC* pDC,CRect rc);
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnPaint();
	afx_msg void OnContextMenu(CWnd* /*pWnd*/, CPoint /*point*/);
	afx_msg void OnPopupSaveimage();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
};


